%
%  Georges Bank Bathymetry from ADCP data

% The preceding empty line is important
% $Log: gbbyadcp.m,v $
% Revision 1.1  1999/06/01 07:10:28  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.4  1999/05/28 22:53:03  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbbyadcp.m,v 1.1 1999/06/01 07:10:28 dbyrne Exp $
%  klee 03/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/bathyadcp';
CatalogServer = 'annual';
URL_m_File = 'gbbyurl';

LonRange = [-71.42 -65.62];
LatRange = [40.20 42.37];
TimeRange = [1800 2000];
DepthRange = [0.0 0.0];
Resolution = nan;

DodsName1 = str2mat('cruiseid','yrday_gmt');
DodsName = str2mat('depth_w');
DataName = 'Bathymetry -- Georges Bank from ADCP data -- BNL/GLOBEC';
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = '';         
DepthName = '';
DepthUnits = '';
SelectableVariables = str2mat('Bathymetry');
TextField = str2mat('EN259','EN260','EN261','EN262','EN263','EN264','EN265','EN266','EN267','EN268','EN269');
OptionalVariables = nan;

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                           Georges Bank Bathymetry from ADCP data',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   cruiseid          cruise identification where    n/a',...
'                                     data were collected',...
'                   ship              ship name                      n/a',...
'                   yrday_gmt         GMT decimal date and time      n/a',...
'                   lat               latitude                       decimal degrees',...
'                   lon               longitude                      decimal degrees',...
'                   depth_w           water depth                    meters');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Jan. 09, 1995 (1995.026669)', ...
'         Ending_Date:    Jul. 12, 1995 (1995.530569)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 71.4190 W ', ...
'              East Bounding Coordinate: 65.6177 W ', ...
'              South Bounding Coordinate: 40.2875 N ', ...
'              North Bounding Coordinate: 42.3604 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Charles Flagg', ...
'               Oceanographic & Atmospheric Sciences Division',...
'               Bldg. 318 ',...
'               Brookhaven National Laboratories ', ...
'               Upton, NY 11973', ...
'               USA ', ...
'               FAX: 516-344-3246',...
'               Electronic Mail Address:INTERNET > flagg@bnl.gov',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];