%
%  GLOBEC Extracted Chlorophyll and Phaeopigment Dataset

% The preceding empty line is important
% $Log: gbchph.m,v $
% Revision 1.1  1999/06/01 07:10:27  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:03  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbchph.m,v 1.1 1999/06/01 07:10:27 dbyrne Exp $
%  klee 04/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/chph'; 
CatalogServer = nan;
Cat_m_File = 'gbrlctdc';
URL_m_File = 'gbchphu';

LonRange = [-69.0 -65.6];
LatRange = [40.6 42.4];
TimeRange = [1995.02739727 1995.4548];
DepthRange = [0.0 261.0];
Resolution = nan;

DodsName1 = str2mat('year_local','month_local','day_local','time_local');
DodsName = str2mat('chl_a_total','phaeo_total','chl_a_20','phaeo_20','cast');
DataName = 'Water Column - Extracted Chlorophyll and Phaeopigment - URI/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = str2mat('year_local','month_local','day_local','time_local');
DepthName = 'depth';
DepthUnits = 'Meters';
SelectableVariables = str2mat('Chlorophyll','Phaeopigment','Chl_a_20','Phaeo_20');
TextField = str2mat('EN259','EN262','EN264','EN266','EN267B');
OptionalVariables = nan;

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                         Extracted Chlorophyll and Phaeopigment Data    ',...
'   ',...
'                   Parameter         Description                     Units',...
'                 ----------------------------------------------------------',...
'   ',...
'                   cruiseid          Cruise identification           n/a',...
'                   cast              Cast number                     n/a',...
'                   day_local         Local day                       n/a',...
'                   month_local       Local month                     n/a',...
'                   year_local        Local year                      n/a',...
'                   time_local        Local time                      n/a',...
'                   lat               Latitude                        decimal degrees',...
'                   lon               Longitude                       decimal degrees',...
'                   depth             Depth of sample                 meters',...
'                   chl_a_total       Total chloraphyl a              \mug/L',...
'                   phaeo_total       Total phaeopigment              \mug/L',...
'                   chl_a_20          Less than 20 \mum chloraphyl a \mug/L',...
'                   phaeo_20          Less than 20 \mum phaeopigment \mug/L',...
'  ',...
' ');

Comments2 = sprintf('%s\n',...
'Samples for water column chlorophyll and phaeopigment were collected and analyzed during the ',...
'following Vital rates 1995 U.S. GLOBEC Georges Bank process cruises:',...
'   ',...
'   EN259 ',...
'   EN262 ',...
'   EN264 ',...
'   EN266 ',...
'   EN267B (aka EN267II and EN267 LEG 2) ',...
'   ',...
'Water Collection: Seawater was collected using 10-L teflon-lined Go-flo bottles mounted on the Neil',...
'Brown CTD rosette. Water was drained into opaque brown 1-L bottles immediately after collection and',...
'refrigerated until processed. Samples were collected onto filters within one hour of water collection. ',...
'In areas where the water column was well mixed, water was collected from the top, middle and bottom ',...
'of the water column. When the water column was stratified, water was collected from the top, middles ',...
'and bottom of the water column as well as around the hydrographic features of interest.',...
'   ',...
'Sample Processing: Samples were prepared for total, <20 \mum, and <5 \mum chlorophyll and ',...
'phaeopigment. Samples for total pigments consisted of bulk seawater. Samples for < 20 \mum and ',...
'< 5 \mum pigments were passed gently through clean Nitex meshes of appropriate porosity and the ',...
'filtrate retained for analysis. Three replicate 50-ml samples of each size fraction were collected ',...
'onto 25 mm GF/F filters, placed into 5 ml of 90% acetone in a capped test tube, and extracted in the ',...
'freezer for 24 hours prior to analysis.',...
'   ',...
'Sample Analysis: The filters were removed from defrosted test tubes with a clean stainless steel ',...
'spatula, the tube wiped clean with a Kimwipe, and samples read on a Turner Designs Model 10 ',...
'fluorometer before and after acidification with 10% HCl (Parsons et al., 1984).',...
'   ',...
'Caveat: In general, pigment concentrations in the <5 \mum samples were approximately equal to the ',...
'<20 \mum samples (i.e., there was very little chlorophyll in the 5-20 \mum size range: most ',...
'chlorophyll < 20 \mum was also < 5 \mum). Because of the difficulty of passing seawater ',...
'quantitatively through the 5 \mum mesh, the <5 \mum data are more variable than the Total and',... 
'< 20 \mum data. To avoid confusion, the < 5 \mum data are not included in the data files. ',...
'The data are available, and scientific investigators who need it should contact the PI directly.',...
'   ',...
'Data Use: The data are available for use by any scientific investigator who wishes to use them. ',...
'The PI must be consulted prior to publication.');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Jan. 11, 1995 (1995.02958524) ', ...
'         Ending_Date:    Jun. 16, 1995 (1995.45704909)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 68.9588 W ', ...
'              East Bounding Coordinate: 65.7268 W ', ...
'              South Bounding Coordinate: 40.5347 N ', ...
'              North Bounding Coordinate: 42.3192 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Dian Gifford', ...
'               Graduate School of Oceanography',...
'               Univ. of Rhode Island',...
'               Narragansett, RI 02882-1197',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > gifford@gsosun1.gso.uri.edu',...
'               FAX: 401-874-6853 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2 Comments4];