%
%  Globec Small Scale Drifters Data

% The preceding empty line is important
% $Log: gbnfdri.m,v $
% Revision 1.2  1999/07/15 20:13:12  kwoklin
% Use Sea_Surface_Temp in SelectableVariables.   klee
%
% Revision 1.1  1999/06/01 07:10:31  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:05  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbnfdri.m,v 1.2 1999/07/15 20:13:12 kwoklin Exp $
%  klee 03/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/nmfsdrifter'; 
CatalogServer = nan;
Cat_m_File = 'gbalssc';
URL_m_File = 'gbnfdriu';

LonRange = [-69 -61.5];
LatRange = [38.5 41.5];
TimeRange = [1997.25696366 1997.38780441];
DepthRange = [0.0 0.0];
Resolution = nan;

DodsName1 = str2mat('year','yrday0_gmt','ship','cruise_id','cast');
DodsName = str2mat('lon','lat','cast');
%DodsName = '';
DataName = 'Drifter - Georges Bank GPS/ARGOS/VHF drifter data - NMFS/GLOBEC';   
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'yrday0_gmt';         
DepthName = '';
DepthUnits = '';
SelectableVariables = str2mat('Longitude','Latitude');
%SelectableVariables = '';
TextField = str2mat('OC301','OC303');
OptionalVariables = str2mat('ss1temp');
SelectableOptional = str2mat('Sea_Surface_Temp');

DataScale = [1997 1/365; nan nan; nan nan; nan nan; nan nan; nan nan; nan nan; nan nan];

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                             Globec Small Scale Drifters Data         ',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   year              Year (GMT)                     nd',...
'                   ship              Ship id                        nd',...
'                   cast              Cast number                    nd',...
'                   gyd               GMT year-day                   decimal year-day',...
'                   lon               Longitude                      decimal degrees',...
'                   lat               Latitude                       decimal degrees',...
'                   temp              Temperature                    degrees C ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 04, 1997 (1997.25696366)', ...
'         Ending_Date:    May. 22, 1997 (1997.38780441)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 69.306 W ', ...
'              East Bounding Coordinate: 62.066 W ', ...
'              South Bounding Coordinate: 39.0437 N ', ...
'              North Bounding Coordinate: 41.1739 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               James Manning', ...
'               NMFS',...
'               Woods Hole, MA 02543',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > jmanning@whsun1.wh.whoi.edu',...
'               FAX: 508-495-2258 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];