%
%      MARMAP Hydrographic DATA
 
% The preceding empty line is important
% $Log: mmhydro.m,v $
% Revision 1.2  1999/07/21 18:00:02  kwoklin
% Fix some errors in data file and data range. klee
%
% Revision 1.1  1999/06/01 07:10:34  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:06  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: mmhydro.m,v 1.2 1999/07/21 18:00:02 kwoklin Exp $
% klee 03/99

GetFunctionName = 'getjgsta';
CatalogServer = nan;
URL_m_File = 'mmhydrou';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/marmaphydro';

LonRange = [-83.583 -65.683];
LatRange = [33.700 52.667];
TimeRange = [1977.5794 1988.082];
DepthRange = [0 988];
Resolution = nan;        

DodsName1 = str2mat('time','mintime','maxtime','southlat','northlat','westlon','eastlon','lat','lon');
DodsName = str2mat('temp','sal','density','chl','nitrate','phosp','sil','IdNo','cast');
%DodsName = str2mat(DodsName,'IdNo');
                                             
DataName = 'Water Column - Northeast US MARMAP Hydrography Data - WHOI/MARMAP';       
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'time';        
DepthName = 'pres';
DepthUnits = 'Meters';
SelectableVariables = str2mat('Sea_Temp','Salinity','Sigma_t',...
                              'Chlorophyll','Nitrate','Phosphate','Silicate');
TextField = str2mat('31A4','90A3','90BK','316G','90EV','31KE','31M7','67WI','9099');
OptionalVariables = str2mat('bdepth');
SelectableOptional = str2mat('Depth_Bottom');

%in the order of [time, lon, lat, depth, DodsName, SelectableOptional]
DataNull = [nan nan nan -9999 0 0 0 0 0 0 0 nan nan -9999];
DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; ...
             0 0.01; 0 0.001; 0 0.01; ...   %t, sal, den
             0 1; 0 1; 0 1; 0 1; ...            %chl, nit, phos, sili
             nan nan; nan nan];   %IdNo, bottomdepth

Acknowledge = [];
Data_Use_Policy = [];

Comments1 = sprintf('%s\n', ...
'                   MARMAP(Marine Resources Monitoring, Assessment and Prediction) Hydrographic DATA ', ...
'    ',...
'                 Parameter         Description                               Units',...
'                 --------------------------------------------------------------------',...
'                 temp              temperature                               degrees C',...
'                 sal               salinity                                  PSU',...
'                 density           sigma-t',...
'                 chlorophyl        chlorophyll                               mg/L',...
'                 nitrate           nitrate                                   ml/L',...
'                 phosphate         phosphate                                 ml/L',...
'                 silicate          silicate                                  ml/L',...
'                 pressure                                                    meters   ',...        
'     ', ...
'    ');

Comments2 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: July, 31, 1977 ', ...
'         Ending_Date: Jan. 30, 1988 ', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 83.583  W ', ...
'              East Bounding Coordinate: 65.683  W ', ...
'              South Bounding Coordinate:33.700  N ', ...
'              North Bounding Coordinate:52.667  N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               David Mountain ', ...
'               NMFS', ...
'               Woods Hole, MA 02543', ...
'               USA', ...
'               Electronic Mail Address:INTERNET > David.Mountain@noaa.gov ', ...
'               Fax: 508-495-2258 ',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];
